Page 1 of 1

"The database file isn't fully compatible with MediaMonkey 4."

Posted: Tue Aug 06, 2019 7:25 pm
by vbhe56huje56
Installed MM5 to try it out. According to the test notes:
"Installation of MediaMonkey 5 can be on top of MediaMonkey 4, or independent of MediaMonkey 4. If you run both versions, changes made in one DB will not be reflected in the other."

Upon starting MM5, I was surprised to see my entire database. Tried it out for a while, it was rather buggy and crashed several times. Uninstalled.

Back in MM4, whenever I try to make changes to the DB (change artists name, etc), I get this error message:
"The database file (path)(version 5.0.42) isn't fully compatible with MediaMonkey 4. It is recommended that you use it exclusively with MediaMonkey 5 to avoid possible data corrpution."

The changes I try to make do not stay.

How can I revert my DB file to MM4?

Re: "The database file isn't fully compatible with MediaMonkey 4."

Posted: Wed Aug 07, 2019 3:43 am
by PetrCBR
Probably you have your database in custom location and used DBName ini entry ?

Re: "The database file isn't fully compatible with MediaMonkey 4."

Posted: Wed Aug 07, 2019 3:59 am
by Ludek
Did you install MM5 portable on the top of MM4 portable? Or did you specify custom DBName in the Mediamonkey.ini?
Otherwise the default location for MM5 database is different, it is [user]/AppData/Roaming/MediaMonkey5/...

We would see your DB path in debug log (can you generate one -- item 4b here: https://www.mediamonkey.com/forum/viewt ... 30&t=86643 ) ?

Otherwise there is a hidden option to make the database MM4 compatible again, edit MediaMonkey.ini and add ForceMM4Compatibility=1 to the [Options] section and run MM5 > Maintain database > Rebuild database

Code: Select all

[Options]
ForceMM4Compatibility=1
We are also planning further improvements as: https://www.ventismedia.com/mantis/view.php?id=15858

Alternativelly you can zip your database and send me a link to the database via private message, I'll repair the DB for you.

Re: "The database file isn't fully compatible with MediaMonkey 4."

Posted: Wed Aug 07, 2019 4:45 am
by vbhe56huje56
Yes, I have my DB in custom location using the .ini file. I guess it's a better idea to not do that?
Otherwise there is a hidden option to make the database MM4 compatible again, edit MediaMonkey.ini and add ForceMM4Compatibility=1 to the [Options] section and run MM5 > Maintain database > Rebuild database
That fixed it. Thank you!